Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.media.nativewindow
Interface AbstractGraphicsConfiguration

All Superinterfaces:
  Cloneable

All Known Implementing Classes:
  AWTGraphicsConfiguration, DefaultGraphicsConfiguration, X11GraphicsConfiguration

    public interface AbstractGraphicsConfiguration

extends Cloneable

A marker interface describing a graphics configuration, visual, or pixel format in a toolkit-independent manner.

Method Summary
`Capabilities` | `getChosenCapabilities()` Return the capabilities reflecting this graphics configuration, which may differ from the capabilites used to choose this configuration.
`AbstractGraphicsConfiguration` | `getNativeGraphicsConfiguration()` In case this instance already reflects a native configuration, return this one.
`Capabilities` | `getRequestedCapabilities()` Return the capabilities used to choose this graphics configuration.
`AbstractGraphicsScreen` | `getScreen()` Return the screen this graphics configuration is valid for

Method Detail

### getScreen

    AbstractGraphicsScreen getScreen()

  Return the screen this graphics configuration is valid for

### getChosenCapabilities

    Capabilities getChosenCapabilities()

  Return the capabilities reflecting this graphics configuration, which may differ from the capabilites used to choose this configuration.

  Returns:
    A copy of the Capabilities to avoid mutation by the user.

### getRequestedCapabilities

    Capabilities getRequestedCapabilities()

  Return the capabilities used to choose this graphics configuration. These may be used to reconfigure the NativeWindow in case the device changes in a multi screen environment.

  Returns:
    A copy of the Capabilities to avoid mutation by the user.

### getNativeGraphicsConfiguration

    AbstractGraphicsConfiguration getNativeGraphicsConfiguration()

  In case this instance already reflects a native configuration, return this one. Otherwise return the encapsuled native configuration, as it shall be included e.g. in the AWT case.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2005 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.